<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function getFile($server, $user, $pass, $dir, $file)
{
  if(!$id = ftp_connect($server)){
    echo("Błąd przy próbie połączenia z serwerem...\n");
    exit;
  }
  if(!ftp_login($id, $user, $pass)){
    echo("Błąd przy próbie zalogowania...\n");
    exit;
  }
  echo("Połączenie z serwerem ustanowione...\n");

  if(!ftp_get ($id, $file, $dir."/".$file, FTP_BINARY)){
    echo("Błąd przy próbie pobrania pliku...\n");
  }
  echo("Plik $file został pobrany...\n");
  
  ftp_close($id);
  echo("Koniec połączenia...\n");
}
getFile("ftp.icm.edu.pl", "anonymous", "anonymous", "/pub", "README");
?>
